
package robotis.block;

import robotis.init.RobotisModFluids;

import org.checkerframework.checker.units.qual.s;

import net.minecraft.world.level.material.Material;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.core.BlockPos;

public class SecureBlock extends LiquidBlock {
	public SecureBlock() {
		super(() -> RobotisModFluids.SECURE.get(),
				BlockBehaviour.Properties.of(Material.WATER).strength(100f).lightLevel(s -> 2).noCollission().noLootTable());
	}

	@Override
	public int getLightBlock(BlockState state, BlockGetter worldIn, BlockPos pos) {
		return 2;
	}
}
