
package robotis.client.renderer;

import robotis.entity.RobotEntity;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.ChickenModel;

public class RobotRenderer extends MobRenderer<RobotEntity, ChickenModel<RobotEntity>> {
	public RobotRenderer(EntityRendererProvider.Context context) {
		super(context, new ChickenModel(context.bakeLayer(ModelLayers.CHICKEN)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(RobotEntity entity) {
		return new ResourceLocation("robotis:textures/entities/robot....png");
	}
}
