
package robotis.enchantment;

import net.minecraft.world.item.enchantment.EnchantmentCategory;
import net.minecraft.world.item.enchantment.Enchantment;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.damagesource.DamageSource;

public class TESTEEnchantment extends Enchantment {
	public TESTEEnchantment(EquipmentSlot... slots) {
		super(Enchantment.Rarity.VERY_RARE, EnchantmentCategory.WEAPON, slots);
	}

	@Override
	public int getMinLevel() {
		return 0;
	}

	@Override
	public int getDamageProtection(int level, DamageSource source) {
		return level * 5;
	}

	@Override
	public boolean isTreasureOnly() {
		return true;
	}
}
