
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package robotis.init;

import robotis.item.SteelSwordItem;
import robotis.item.SteelShovelItem;
import robotis.item.SteelPickaxeItem;
import robotis.item.SteelIngotItem;
import robotis.item.SteelHoeItem;
import robotis.item.SteelAxeItem;
import robotis.item.SteelArmorItem;
import robotis.item.SecureItem;
import robotis.item.OtyverDustItem;
import robotis.item.CeciSwordItem;
import robotis.item.CeciShovelItem;
import robotis.item.CeciPickaxeItem;
import robotis.item.CeciItem;
import robotis.item.CeciHoeItem;
import robotis.item.CeciAxeItem;
import robotis.item.CeciArmorItem;
import robotis.item.BersionItem;

import robotis.RobotisMod;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.common.ForgeSpawnEggItem;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

public class RobotisModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, RobotisMod.MODID);
	public static final RegistryObject<Item> ROBOT = REGISTRY.register("robot_spawn_egg",
			() -> new ForgeSpawnEggItem(RobotisModEntities.ROBOT, -12500671, -7434610, new Item.Properties().tab(RobotisModTabs.TAB_ROBOTISTAB)));
	public static final RegistryObject<Item> STEEL_INGOT = REGISTRY.register("steel_ingot", () -> new SteelIngotItem());
	public static final RegistryObject<Item> STEEL_ORE = block(RobotisModBlocks.STEEL_ORE, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> STEEL_BLOCK = block(RobotisModBlocks.STEEL_BLOCK, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> STEEL_PICKAXE = REGISTRY.register("steel_pickaxe", () -> new SteelPickaxeItem());
	public static final RegistryObject<Item> STEEL_AXE = REGISTRY.register("steel_axe", () -> new SteelAxeItem());
	public static final RegistryObject<Item> STEEL_SWORD = REGISTRY.register("steel_sword", () -> new SteelSwordItem());
	public static final RegistryObject<Item> STEEL_SHOVEL = REGISTRY.register("steel_shovel", () -> new SteelShovelItem());
	public static final RegistryObject<Item> STEEL_HOE = REGISTRY.register("steel_hoe", () -> new SteelHoeItem());
	public static final RegistryObject<Item> STEEL_ARMOR_HELMET = REGISTRY.register("steel_armor_helmet", () -> new SteelArmorItem.Helmet());
	public static final RegistryObject<Item> STEEL_ARMOR_CHESTPLATE = REGISTRY.register("steel_armor_chestplate",
			() -> new SteelArmorItem.Chestplate());
	public static final RegistryObject<Item> STEEL_ARMOR_LEGGINGS = REGISTRY.register("steel_armor_leggings", () -> new SteelArmorItem.Leggings());
	public static final RegistryObject<Item> STEEL_ARMOR_BOOTS = REGISTRY.register("steel_armor_boots", () -> new SteelArmorItem.Boots());
	public static final RegistryObject<Item> CECI = REGISTRY.register("ceci", () -> new CeciItem());
	public static final RegistryObject<Item> CECI_ORE = block(RobotisModBlocks.CECI_ORE, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> CECI_BLOCK = block(RobotisModBlocks.CECI_BLOCK, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> CECI_PICKAXE = REGISTRY.register("ceci_pickaxe", () -> new CeciPickaxeItem());
	public static final RegistryObject<Item> CECI_AXE = REGISTRY.register("ceci_axe", () -> new CeciAxeItem());
	public static final RegistryObject<Item> CECI_SWORD = REGISTRY.register("ceci_sword", () -> new CeciSwordItem());
	public static final RegistryObject<Item> CECI_SHOVEL = REGISTRY.register("ceci_shovel", () -> new CeciShovelItem());
	public static final RegistryObject<Item> CECI_HOE = REGISTRY.register("ceci_hoe", () -> new CeciHoeItem());
	public static final RegistryObject<Item> CECI_ARMOR_HELMET = REGISTRY.register("ceci_armor_helmet", () -> new CeciArmorItem.Helmet());
	public static final RegistryObject<Item> CECI_ARMOR_CHESTPLATE = REGISTRY.register("ceci_armor_chestplate", () -> new CeciArmorItem.Chestplate());
	public static final RegistryObject<Item> CECI_ARMOR_LEGGINGS = REGISTRY.register("ceci_armor_leggings", () -> new CeciArmorItem.Leggings());
	public static final RegistryObject<Item> CECI_ARMOR_BOOTS = REGISTRY.register("ceci_armor_boots", () -> new CeciArmorItem.Boots());
	public static final RegistryObject<Item> TRIOMA_WOOD = block(RobotisModBlocks.TRIOMA_WOOD, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_LOG = block(RobotisModBlocks.TRIOMA_LOG, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_PLANKS = block(RobotisModBlocks.TRIOMA_PLANKS, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_LEAVES = block(RobotisModBlocks.TRIOMA_LEAVES, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_STAIRS = block(RobotisModBlocks.TRIOMA_STAIRS, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_SLAB = block(RobotisModBlocks.TRIOMA_SLAB, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_FENCE = block(RobotisModBlocks.TRIOMA_FENCE, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_FENCE_GATE = block(RobotisModBlocks.TRIOMA_FENCE_GATE, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_PRESSURE_PLATE = block(RobotisModBlocks.TRIOMA_PRESSURE_PLATE, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> TRIOMA_BUTTON = block(RobotisModBlocks.TRIOMA_BUTTON, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> ROGRA = block(RobotisModBlocks.ROGRA, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> OTYVER_DUST = REGISTRY.register("otyver_dust", () -> new OtyverDustItem());
	public static final RegistryObject<Item> TORCHER = block(RobotisModBlocks.TORCHER, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> OTYVER_ORE = block(RobotisModBlocks.OTYVER_ORE, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> OTYVER_BLOCK = block(RobotisModBlocks.OTYVER_BLOCK, RobotisModTabs.TAB_ROBOTISTAB);
	public static final RegistryObject<Item> BERSION = REGISTRY.register("bersion", () -> new BersionItem());
	public static final RegistryObject<Item> SECURE_BUCKET = REGISTRY.register("secure_bucket", () -> new SecureItem());

	private static RegistryObject<Item> block(RegistryObject<Block> block, CreativeModeTab tab) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties().tab(tab)));
	}
}
