
package robotis.item;

import robotis.init.RobotisModTabs;
import robotis.init.RobotisModItems;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

public class CeciSwordItem extends SwordItem {
	public CeciSwordItem() {
		super(new Tier() {
			public int getUses() {
				return 902;
			}

			public float getSpeed() {
				return 10f;
			}

			public float getAttackDamageBonus() {
				return 13f;
			}

			public int getLevel() {
				return 5;
			}

			public int getEnchantmentValue() {
				return 35;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(RobotisModItems.CECI.get()));
			}
		}, 3, -3f, new Item.Properties().tab(RobotisModTabs.TAB_ROBOTISTAB));
	}
}
