
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package robotis.init;

import robotis.block.TriomaWoodBlock;
import robotis.block.TriomaStairsBlock;
import robotis.block.TriomaSlabBlock;
import robotis.block.TriomaPressurePlateBlock;
import robotis.block.TriomaPlanksBlock;
import robotis.block.TriomaLogBlock;
import robotis.block.TriomaLeavesBlock;
import robotis.block.TriomaFenceGateBlock;
import robotis.block.TriomaFenceBlock;
import robotis.block.TriomaButtonBlock;
import robotis.block.TorcherBlock;
import robotis.block.SteelOreBlock;
import robotis.block.SteelBlockBlock;
import robotis.block.SecureBlock;
import robotis.block.RograBlock;
import robotis.block.OtyverOreBlock;
import robotis.block.OtyverBlockBlock;
import robotis.block.CeciOreBlock;
import robotis.block.CeciBlockBlock;
import robotis.block.BersionPortalBlock;

import robotis.RobotisMod;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.Block;

public class RobotisModBlocks {
	public static final DeferredRegister<Block> REGISTRY = DeferredRegister.create(ForgeRegistries.BLOCKS, RobotisMod.MODID);
	public static final RegistryObject<Block> STEEL_ORE = REGISTRY.register("steel_ore", () -> new SteelOreBlock());
	public static final RegistryObject<Block> STEEL_BLOCK = REGISTRY.register("steel_block", () -> new SteelBlockBlock());
	public static final RegistryObject<Block> CECI_ORE = REGISTRY.register("ceci_ore", () -> new CeciOreBlock());
	public static final RegistryObject<Block> CECI_BLOCK = REGISTRY.register("ceci_block", () -> new CeciBlockBlock());
	public static final RegistryObject<Block> TRIOMA_WOOD = REGISTRY.register("trioma_wood", () -> new TriomaWoodBlock());
	public static final RegistryObject<Block> TRIOMA_LOG = REGISTRY.register("trioma_log", () -> new TriomaLogBlock());
	public static final RegistryObject<Block> TRIOMA_PLANKS = REGISTRY.register("trioma_planks", () -> new TriomaPlanksBlock());
	public static final RegistryObject<Block> TRIOMA_LEAVES = REGISTRY.register("trioma_leaves", () -> new TriomaLeavesBlock());
	public static final RegistryObject<Block> TRIOMA_STAIRS = REGISTRY.register("trioma_stairs", () -> new TriomaStairsBlock());
	public static final RegistryObject<Block> TRIOMA_SLAB = REGISTRY.register("trioma_slab", () -> new TriomaSlabBlock());
	public static final RegistryObject<Block> TRIOMA_FENCE = REGISTRY.register("trioma_fence", () -> new TriomaFenceBlock());
	public static final RegistryObject<Block> TRIOMA_FENCE_GATE = REGISTRY.register("trioma_fence_gate", () -> new TriomaFenceGateBlock());
	public static final RegistryObject<Block> TRIOMA_PRESSURE_PLATE = REGISTRY.register("trioma_pressure_plate",
			() -> new TriomaPressurePlateBlock());
	public static final RegistryObject<Block> TRIOMA_BUTTON = REGISTRY.register("trioma_button", () -> new TriomaButtonBlock());
	public static final RegistryObject<Block> ROGRA = REGISTRY.register("rogra", () -> new RograBlock());
	public static final RegistryObject<Block> TORCHER = REGISTRY.register("torcher", () -> new TorcherBlock());
	public static final RegistryObject<Block> OTYVER_ORE = REGISTRY.register("otyver_ore", () -> new OtyverOreBlock());
	public static final RegistryObject<Block> OTYVER_BLOCK = REGISTRY.register("otyver_block", () -> new OtyverBlockBlock());
	public static final RegistryObject<Block> BERSION_PORTAL = REGISTRY.register("bersion_portal", () -> new BersionPortalBlock());
	public static final RegistryObject<Block> SECURE = REGISTRY.register("secure", () -> new SecureBlock());
}
