
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package robotis.init;

import robotis.world.features.plants.TorcherFeature;
import robotis.world.features.ores.SteelOreFeature;
import robotis.world.features.ores.OtyverOreFeature;
import robotis.world.features.ores.CeciOreFeature;
import robotis.world.features.lakes.SecureFeature;

import robotis.RobotisMod;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;

import net.minecraft.world.level.levelgen.feature.Feature;

@Mod.EventBusSubscriber
public class RobotisModFeatures {
	public static final DeferredRegister<Feature<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.FEATURES, RobotisMod.MODID);
	public static final RegistryObject<Feature<?>> STEEL_ORE = REGISTRY.register("steel_ore", SteelOreFeature::feature);
	public static final RegistryObject<Feature<?>> CECI_ORE = REGISTRY.register("ceci_ore", CeciOreFeature::feature);
	public static final RegistryObject<Feature<?>> TORCHER = REGISTRY.register("torcher", TorcherFeature::feature);
	public static final RegistryObject<Feature<?>> OTYVER_ORE = REGISTRY.register("otyver_ore", OtyverOreFeature::feature);
	public static final RegistryObject<Feature<?>> SECURE = REGISTRY.register("secure", SecureFeature::feature);
}
