
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package robotis.init;

import robotis.fluid.SecureFluid;

import robotis.RobotisMod;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.material.FlowingFluid;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

public class RobotisModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(ForgeRegistries.FLUIDS, RobotisMod.MODID);
	public static final RegistryObject<FlowingFluid> SECURE = REGISTRY.register("secure", () -> new SecureFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_SECURE = REGISTRY.register("flowing_secure", () -> new SecureFluid.Flowing());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(SECURE.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_SECURE.get(), RenderType.translucent());
		}
	}
}
